summaryrefslogtreecommitdiff
path: root/media-libs
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2017-12-28 12:59:35 +0000
committerV3n3RiX <venerix@redcorelinux.org>2017-12-28 12:59:35 +0000
commitf3383ab9e4751bae3aa37d0684fa3ccf6edb5a50 (patch)
tree3e42e928d37725fe03949f2e9efa7e8dca5e4edc /media-libs
parenta8a7530e73e7dfec612cdea98b789e907d4fced9 (diff)
media-libs/mlt : import from gentoo tree
Diffstat (limited to 'media-libs')
-rw-r--r--media-libs/mlt/Manifest1
-rw-r--r--media-libs/mlt/files/mlt-6.2.0-ruby-link.patch18
-rw-r--r--media-libs/mlt/files/mlt-6.4.1-glibc226-1.patch40
-rw-r--r--media-libs/mlt/files/mlt-6.4.1-glibc226-2.patch22
-rw-r--r--media-libs/mlt/files/mlt-6.4.1-libebur128-unbundle.patch137
-rw-r--r--media-libs/mlt/files/mlt-6.4.1-opencv-3.3.patch33
-rw-r--r--media-libs/mlt/files/mlt-6.4.1-qtopengl-1.patch33
-rw-r--r--media-libs/mlt/files/mlt-6.4.1-qtopengl-2.patch61
-rw-r--r--media-libs/mlt/mlt-6.4.1-r2.ebuild211
9 files changed, 556 insertions, 0 deletions
diff --git a/media-libs/mlt/Manifest b/media-libs/mlt/Manifest
new file mode 100644
index 00000000..d5cc5504
--- /dev/null
+++ b/media-libs/mlt/Manifest
@@ -0,0 +1 @@
+DIST mlt-6.4.1.tar.gz 1344030 SHA256 87583af552695b2235f4ee3fc1e645d69e31702b109331d7e8785fb180cfa382 SHA512 b082274e2184a0496f496517ddbcae33bab44cd1f50c1708942b7a24e5861ba97cae9fa21ec41ea21d662cbf56e2e2e66caa707a100077ef6e13aa7140f7a9fb WHIRLPOOL 5b89a42bd95be98e5461d5dcf2dd0f2fe481b519078c54fc461ff8561a2cc29eb18027061efd6a4d53b2a3c15bf4605add57fdfd98a49226eaf3abc738b73962
diff --git a/media-libs/mlt/files/mlt-6.2.0-ruby-link.patch b/media-libs/mlt/files/mlt-6.2.0-ruby-link.patch
new file mode 100644
index 00000000..35341b4c
--- /dev/null
+++ b/media-libs/mlt/files/mlt-6.2.0-ruby-link.patch
@@ -0,0 +1,18 @@
+The build system tries to link to installed system libraries first, which
+fails because the ABI has changed...
+
+--- a/src/swig/ruby/build
++++ b/src/swig/ruby/build
+@@ -5,9 +5,11 @@
+ exit 0
+ end
+ system( "ln -sf ../mlt.i" )
++system( "ln -sf ../../framework/libmlt.so" )
++system( "ln -sf ../../mlt++/libmlt++.so" )
+ system( "swig -c++ -ruby -I../../mlt++ -I../.. mlt.i" )
+ $CFLAGS = $CFLAGS.to_s + " -I../.. " + (ENV.has_key?('CXXFLAGS')? ENV['CXXFLAGS'] : '')
+ $CXXFLAGS = $CXXFLAGS.to_s + " -I../.. " + (ENV.has_key?('CXXFLAGS')? ENV['CXXFLAGS'] : '')
+-$LDFLAGS = $LDFLAGS.to_s + " -L../../mlt++ -lmlt++"
++$LIBS += " -lmlt++ -lmlt -lstdc++"
+ create_makefile('mlt')
+ system( "make V=1" )
diff --git a/media-libs/mlt/files/mlt-6.4.1-glibc226-1.patch b/media-libs/mlt/files/mlt-6.4.1-glibc226-1.patch
new file mode 100644
index 00000000..2f486939
--- /dev/null
+++ b/media-libs/mlt/files/mlt-6.4.1-glibc226-1.patch
@@ -0,0 +1,40 @@
+From 2125e3955a0d0be61571cf43b674f74b4b93c6f8 Mon Sep 17 00:00:00 2001
+From: Dan Dennedy <dan@dennedy.org>
+Date: Sat, 26 Aug 2017 18:31:47 -0700
+Subject: [PATCH] Fix #248 xlocale.h was removed in glibc 2.26.
+MIME-Version: 1.0
+Content-Type: text/plain; charset=UTF-8
+Content-Transfer-Encoding: 8bit
+
+Reported by schnitzeltony on Andreas Müller.
+Patch by Dave Plater.
+---
+ src/framework/mlt_property.h | 8 ++++++--
+ 1 file changed, 6 insertions(+), 2 deletions(-)
+
+diff --git a/src/framework/mlt_property.h b/src/framework/mlt_property.h
+index 404d513f..043f530b 100644
+--- a/src/framework/mlt_property.h
++++ b/src/framework/mlt_property.h
+@@ -3,7 +3,7 @@
+ * \brief Property class declaration
+ * \see mlt_property_s
+ *
+- * Copyright (C) 2003-2014 Meltytech, LLC
++ * Copyright (C) 2003-2017 Meltytech, LLC
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Lesser General Public
+@@ -31,7 +31,11 @@
+ #endif
+
+ #if defined(__GLIBC__) || defined(__APPLE__) || (__FreeBSD_version >= 900506)
+-#include <xlocale.h>
++# if GLIBC_MINOR >= 26 && !defined(APPLE)
++# include <locale.h>
++# else
++# include <xlocale.h>
++# endif
+ #else
+ typedef char* locale_t;
+ #endif
diff --git a/media-libs/mlt/files/mlt-6.4.1-glibc226-2.patch b/media-libs/mlt/files/mlt-6.4.1-glibc226-2.patch
new file mode 100644
index 00000000..d992ee32
--- /dev/null
+++ b/media-libs/mlt/files/mlt-6.4.1-glibc226-2.patch
@@ -0,0 +1,22 @@
+From fbf6a5187776f2f392cf258935ff49e4c0e87024 Mon Sep 17 00:00:00 2001
+From: Dan Dennedy <dan@dennedy.org>
+Date: Wed, 30 Aug 2017 09:08:16 -0700
+Subject: [PATCH] Fix glib test macros to include locale.h.
+
+---
+ src/framework/mlt_property.h | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/src/framework/mlt_property.h b/src/framework/mlt_property.h
+index 043f530b..3ecebd67 100644
+--- a/src/framework/mlt_property.h
++++ b/src/framework/mlt_property.h
+@@ -31,7 +31,7 @@
+ #endif
+
+ #if defined(__GLIBC__) || defined(__APPLE__) || (__FreeBSD_version >= 900506)
+-# if GLIBC_MINOR >= 26 && !defined(APPLE)
++# if __GLIBC_MINOR__ >= 26 && !defined(__APPLE__)
+ # include <locale.h>
+ # else
+ # include <xlocale.h>
diff --git a/media-libs/mlt/files/mlt-6.4.1-libebur128-unbundle.patch b/media-libs/mlt/files/mlt-6.4.1-libebur128-unbundle.patch
new file mode 100644
index 00000000..e9aaa25c
--- /dev/null
+++ b/media-libs/mlt/files/mlt-6.4.1-libebur128-unbundle.patch
@@ -0,0 +1,137 @@
+From fad1df2bc8efc2881867e510443547fddf5d620b Mon Sep 17 00:00:00 2001
+From: Brian Matherly <code@brianmatherly.com>
+Date: Sun, 19 Feb 2017 23:35:17 -0600
+Subject: [PATCH 1/2] Use external libebur128 if detected.
+
+---
+ src/modules/plus/Makefile | 7 +++++--
+ src/modules/plus/configure | 11 +++++++++++
+ 2 files changed, 16 insertions(+), 2 deletions(-)
+
+diff --git a/src/modules/plus/Makefile b/src/modules/plus/Makefile
+index 90067a56..351e7b76 100644
+--- a/src/modules/plus/Makefile
++++ b/src/modules/plus/Makefile
+@@ -22,14 +22,17 @@ OBJS = consumer_blipflash.o \
+ filter_sepia.o \
+ producer_blipflash.o \
+ producer_count.o \
+- transition_affine.o \
+- ebur128/ebur128.o
++ transition_affine.o
+
+ ifdef USE_FFTW
+ OBJS += filter_dance.o \
+ filter_fft.o
+ endif
+
++ifdef USE_INTERNAL_LIBEBUR128
++ OBJS += ebur128/ebur128.o
++endif
++
+ SRCS := $(OBJS:.o=.c)
+
+ all: $(TARGET)
+diff --git a/src/modules/plus/configure b/src/modules/plus/configure
+index fbd49807..e38464b4 100755
+--- a/src/modules/plus/configure
++++ b/src/modules/plus/configure
+@@ -16,5 +16,16 @@ then
+ echo "- fftw not found: disable fft and dance filters"
+ fi
+
++ pkg-config libebur128
++ if [ $? -eq 0 ]
++ then
++ echo "CFLAGS += $(pkg-config --cflags libebur128)" >> config.mak
++ echo "LDFLAGS += $(pkg-config --libs libebur128)" >> config.mak
++ else
++ echo "- libebur128 not found: using internal libebur128"
++ echo "USE_INTERNAL_LIBEBUR128=1" >> config.mak
++ echo "CFLAGS += -DUSE_INTERNAL_LIBEBUR128" >> config.mak
++ fi
++
+ exit 0
+ fi
+
+From 9951883b895eb920b7f67ea67a0753d8dea21a9e Mon Sep 17 00:00:00 2001
+From: Brian Matherly <code@brianmatherly.com>
+Date: Mon, 20 Feb 2017 08:15:52 -0600
+Subject: [PATCH 2/2] Fix include directives for ebur128 filters.
+
+---
+ src/modules/plus/Makefile | 2 +-
+ src/modules/plus/configure | 2 ++
+ src/modules/plus/filter_dynamic_loudness.c | 2 +-
+ src/modules/plus/filter_loudness.c | 2 +-
+ src/modules/plus/filter_loudness_meter.c | 2 +-
+ 5 files changed, 6 insertions(+), 4 deletions(-)
+
+diff --git a/src/modules/plus/Makefile b/src/modules/plus/Makefile
+index 351e7b76..366bca19 100644
+--- a/src/modules/plus/Makefile
++++ b/src/modules/plus/Makefile
+@@ -1,4 +1,4 @@
+-CFLAGS += -I../.. -Iebur128/queue
++CFLAGS += -I../..
+
+ LDFLAGS += -L../../framework -lmlt -lm -lpthread
+
+diff --git a/src/modules/plus/configure b/src/modules/plus/configure
+index e38464b4..59662ca0 100755
+--- a/src/modules/plus/configure
++++ b/src/modules/plus/configure
+@@ -19,12 +19,14 @@ then
+ pkg-config libebur128
+ if [ $? -eq 0 ]
+ then
++ echo "- libebur128 found: using external libebur128"
+ echo "CFLAGS += $(pkg-config --cflags libebur128)" >> config.mak
+ echo "LDFLAGS += $(pkg-config --libs libebur128)" >> config.mak
+ else
+ echo "- libebur128 not found: using internal libebur128"
+ echo "USE_INTERNAL_LIBEBUR128=1" >> config.mak
+ echo "CFLAGS += -DUSE_INTERNAL_LIBEBUR128" >> config.mak
++ echo "CFLAGS += -Iebur128 -Iebur128/queue" >> config.mak
+ fi
+
+ exit 0
+diff --git a/src/modules/plus/filter_dynamic_loudness.c b/src/modules/plus/filter_dynamic_loudness.c
+index 07551f14..99c83051 100644
+--- a/src/modules/plus/filter_dynamic_loudness.c
++++ b/src/modules/plus/filter_dynamic_loudness.c
+@@ -22,7 +22,7 @@
+ #include <stdlib.h>
+ #include <string.h>
+ #include <math.h>
+-#include "ebur128/ebur128.h"
++#include <ebur128.h>
+
+ typedef struct
+ {
+diff --git a/src/modules/plus/filter_loudness.c b/src/modules/plus/filter_loudness.c
+index 8b74b5c9..0614fecc 100644
+--- a/src/modules/plus/filter_loudness.c
++++ b/src/modules/plus/filter_loudness.c
+@@ -22,7 +22,7 @@
+ #include <stdlib.h>
+ #include <string.h>
+ #include <math.h>
+-#include "ebur128/ebur128.h"
++#include <ebur128.h>
+
+ #define MAX_RESULT_SIZE 512
+
+diff --git a/src/modules/plus/filter_loudness_meter.c b/src/modules/plus/filter_loudness_meter.c
+index 9926f945..6c81d19f 100644
+--- a/src/modules/plus/filter_loudness_meter.c
++++ b/src/modules/plus/filter_loudness_meter.c
+@@ -22,7 +22,7 @@
+ #include <stdlib.h>
+ #include <string.h>
+ #include <math.h>
+-#include "ebur128/ebur128.h"
++#include <ebur128.h>
+
+ typedef struct
+ {
diff --git a/media-libs/mlt/files/mlt-6.4.1-opencv-3.3.patch b/media-libs/mlt/files/mlt-6.4.1-opencv-3.3.patch
new file mode 100644
index 00000000..0a3732da
--- /dev/null
+++ b/media-libs/mlt/files/mlt-6.4.1-opencv-3.3.patch
@@ -0,0 +1,33 @@
+From 622ff3acf6256739bd547ade1ceca0e6df5022e6 Mon Sep 17 00:00:00 2001
+From: BoboopTeam <BoboopTeam@users.noreply.github.com>
+Date: Thu, 7 Sep 2017 22:14:48 +0200
+Subject: [PATCH] module: opencv: Remove deleted cv::Tracker::create()
+
+This static method is no longer present in OpenCV API, this workaround should fix compilation against OpenCV 3.3.0 and newer
+---
+ src/modules/opencv/filter_opencv_tracker.cpp | 10 +++++++---
+ 1 file changed, 7 insertions(+), 3 deletions(-)
+
+diff --git a/src/modules/opencv/filter_opencv_tracker.cpp b/src/modules/opencv/filter_opencv_tracker.cpp
+index 48ffb56b..3cfc07d2 100644
+--- a/src/modules/opencv/filter_opencv_tracker.cpp
++++ b/src/modules/opencv/filter_opencv_tracker.cpp
+@@ -111,11 +111,15 @@ static void analyze( mlt_filter filter, cv::Mat cvFrame, private_data* data, int
+ data->algo = mlt_properties_get( filter_properties, "algo" );
+ if ( data->algo == NULL || !strcmp(data->algo, "" ) )
+ {
+- data->tracker = cv::Tracker::create( "KCF" );
++ data->tracker = cv::TrackerKCF::create();
++ }
++ else if (!strcmp(data->algo, "MIL" ))
++ {
++ data->tracker = cv::TrackerMIL::create();
+ }
+ else
+- {
+- data->tracker = cv::Tracker::create( data->algo );
++ {
++ data->tracker = cv::TrackerBoosting::create();
+ }
+
+ // Discard previous results
diff --git a/media-libs/mlt/files/mlt-6.4.1-qtopengl-1.patch b/media-libs/mlt/files/mlt-6.4.1-qtopengl-1.patch
new file mode 100644
index 00000000..c00e8d05
--- /dev/null
+++ b/media-libs/mlt/files/mlt-6.4.1-qtopengl-1.patch
@@ -0,0 +1,33 @@
+From d2a04ae77a6b2c82a2e12b9fb631beb8f825946d Mon Sep 17 00:00:00 2001
+From: Alberto Villa <avilla@FreeBSD.org>
+Date: Sat, 24 Dec 2016 05:07:54 +0100
+Subject: [PATCH] Move Qt OpenGL include(s) to Qt 4 specific code
+
+Only Qt 4 code references those files (QMutex and QWaitCondition are
+not OpenGL files, but still they're only useful in Qt 4 code).
+---
+ src/modules/qt/consumer_qglsl.cpp | 7 ++++---
+ 1 file changed, 4 insertions(+), 3 deletions(-)
+
+diff --git a/src/modules/qt/consumer_qglsl.cpp b/src/modules/qt/consumer_qglsl.cpp
+index 74840602..ca0cf383 100644
+--- a/src/modules/qt/consumer_qglsl.cpp
++++ b/src/modules/qt/consumer_qglsl.cpp
+@@ -20,13 +20,14 @@
+ #include "common.h"
+ #include <framework/mlt.h>
+ #include <QApplication>
+-#include <QGLWidget>
+-#include <QMutex>
+-#include <QWaitCondition>
+ #include <QtGlobal>
+
+ #if QT_VERSION < QT_VERSION_CHECK(5, 0, 0)
+
++#include <QGLWidget>
++#include <QMutex>
++#include <QWaitCondition>
++
+ class GLWidget : public QGLWidget
+ {
+ private:
diff --git a/media-libs/mlt/files/mlt-6.4.1-qtopengl-2.patch b/media-libs/mlt/files/mlt-6.4.1-qtopengl-2.patch
new file mode 100644
index 00000000..5f98f12b
--- /dev/null
+++ b/media-libs/mlt/files/mlt-6.4.1-qtopengl-2.patch
@@ -0,0 +1,61 @@
+From 6ba6cab570d824641f63c66b355ba28f0721811f Mon Sep 17 00:00:00 2001
+From: Alberto Villa <avilla@FreeBSD.org>
+Date: Sat, 24 Dec 2016 05:10:20 +0100
+Subject: [PATCH] Avoid looking for Qt5OpenGL module
+
+The OpenGL-related code needed by qimage was moved to Qt5Gui, which
+allows to safely remove the dependency on Qt 5 builds.
+
+Build tested on FreeBSD.
+---
+ src/modules/qt/configure | 20 +-------------------
+ 1 file changed, 1 insertion(+), 19 deletions(-)
+
+diff --git a/src/modules/qt/configure b/src/modules/qt/configure
+index 24803baf..7475dc09 100755
+--- a/src/modules/qt/configure
++++ b/src/modules/qt/configure
+@@ -107,14 +107,6 @@ else
+ then
+ echo QTCXXFLAGS=-I$qt_includedir -I$qt_includedir/QtCore -I$qt_includedir/QtGui -I$qt_includedir/QtXml -I$qt_includedir/QtSvg -I$qt_includedir/QtWidgets >> config.mak
+ echo QTLIBS=-Wl,-rpath-link,"$qt_libdir" -L"$qt_libdir" -lQt5Core -lQt5Gui -lQt5Xml -lQt5Svg -lQt5Widgets >> config.mak
+- if [ -f "$qt_libdir/libQt5OpenGL.so" ] || [ -f "$qt_libdir/libQt5OpenGL.a" ]
+- then
+- echo QTCXXFLAGS+=-I$qt_includedir/QtOpenGL >> config.mak
+- echo QTLIBS+=-lQt5OpenGL >> config.mak
+- else
+- echo "- Qt5OpenGL not found: disabling"
+- without_opengl=true
+- fi
+ # Qt5 on OS X
+ elif [ -d "$qt_libdir/QtWidgets.framework" ]
+ then
+@@ -123,11 +115,10 @@ else
+ -I$qt_includedir/QtGui -I$qt_libdir/QtGui.framework/Headers \
+ -I$qt_includedir/QtXml -I$qt_libdir/QtXml.framework/Headers \
+ -I$qt_includedir/QtSvg -I$qt_libdir/QtSvg.framework/Headers \
+- -I$qt_includedir/QtOpenGL -I$qt_libdir/QtOpenGL.framework/Headers \
+ -I$qt_includedir/QtWidgets -I$qt_libdir/QtWidgets.framework/Headers \
+ >> config.mak
+ echo QTLIBS=-F"$qt_libdir" -framework QtCore -framework QtGui -framework \
+- QtXml -framework QtSvg -framework QtOpenGL -framework QtWidgets >> config.mak
++ QtXml -framework QtSvg -framework QtWidgets >> config.mak
+ # Qt4 on OS X
+ elif [ -d "$qt_libdir/QtGui.framework" ]
+ then
+@@ -151,15 +142,6 @@ else
+ without_kde=true
+ echo QTCXXFLAGS=$(pkg-config --cflags Qt5Core Qt5Gui Qt5Xml Qt5Svg Qt5Widgets) >> config.mak
+ echo QTLIBS=$(pkg-config --libs Qt5Core Qt5Gui Qt5Xml Qt5Svg Qt5Widgets) >> config.mak
+- pkg-config --exists 'Qt5OpenGL'
+- if [ $? -eq 0 ]
+- then
+- echo QTCXXFLAGS+=$(pkg-config --cflags Qt5OpenGL) >> config.mak
+- echo QTLIBS+=$(pkg-config --libs Qt5OpenGL) >> config.mak
+- else
+- echo "- Qt5OpenGL not found: disabling"
+- without_opengl=true
+- fi
+ else
+ pkg-config --exists 'QtGui >= 4'
+ if [ $? -eq 0 ]
diff --git a/media-libs/mlt/mlt-6.4.1-r2.ebuild b/media-libs/mlt/mlt-6.4.1-r2.ebuild
new file mode 100644
index 00000000..0ca9cae0
--- /dev/null
+++ b/media-libs/mlt/mlt-6.4.1-r2.ebuild
@@ -0,0 +1,211 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+# this ebuild currently only supports installing ruby bindings for a single ruby version
+# so USE_RUBY must contain only a single value (the latest stable) as the ebuild calls
+# /usr/bin/${USE_RUBY} directly
+USE_RUBY="ruby22"
+inherit eutils flag-o-matic multilib python-single-r1 ruby-single toolchain-funcs
+
+DESCRIPTION="Open source multimedia framework for television broadcasting"
+HOMEPAGE="https://www.mltframework.org/"
+SRC_URI="https://github.com/mltframework/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="amd64 x86 ~x86-fbsd ~amd64-linux ~x86-linux"
+IUSE="compressed-lumas debug ffmpeg fftw frei0r gtk jack kdenlive libav libsamplerate melt opencv opengl
+cpu_flags_x86_mmx qt5 rtaudio sdl cpu_flags_x86_sse cpu_flags_x86_sse2 xine xml lua python ruby vdpau"
+# java perl php tcl vidstab
+IUSE="${IUSE} kernel_linux"
+
+#rtaudio will use OSS on non linux OSes
+COMMON_DEPEND="
+ ffmpeg? (
+ libav? ( media-video/libav:0=[vdpau?] )
+ !libav? ( media-video/ffmpeg:0=[vdpau?] )
+ )
+ xml? ( >=dev-libs/libxml2-2.5 )
+ sdl? ( >=media-libs/libsdl-1.2.10[X,opengl,video]
+ >=media-libs/sdl-image-1.2.4 )
+ libsamplerate? ( >=media-libs/libsamplerate-0.1.2 )
+ jack? ( >=media-sound/jack-audio-connection-kit-0.121.3
+ media-libs/ladspa-sdk
+ >=dev-libs/libxml2-2.5 )
+ fftw? ( sci-libs/fftw:3.0= )
+ frei0r? ( media-plugins/frei0r-plugins )
+ gtk? ( x11-libs/gtk+:2
+ media-libs/libexif
+ x11-libs/pango )
+ opencv? ( >=media-libs/opencv-3.1.0:= )
+ opengl? ( media-video/movit )
+ rtaudio? (
+ media-libs/rtaudio
+ kernel_linux? ( media-libs/alsa-lib )
+ )
+ xine? ( >=media-libs/xine-lib-1.1.2_pre20060328-r7 )
+ qt5? (
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtsvg:5
+ dev-qt/qtwidgets:5
+ dev-qt/qtxml:5
+ media-libs/libexif
+ x11-libs/libX11
+ opengl? ( dev-qt/qtopengl:5 )
+ )
+ lua? ( >=dev-lang/lua-5.1.4-r4:= )
+ python? ( ${PYTHON_DEPS} )
+ ruby? ( ${RUBY_DEPS} )"
+# sox? ( media-sound/sox )
+# java? ( >=virtual/jre-1.5 )
+# perl? ( dev-lang/perl )
+# php? ( dev-lang/php )
+# tcl? ( dev-lang/tcl:0= )
+# vidstab? ( media-libs/libvidstab )
+SWIG_DEPEND=">=dev-lang/swig-2.0"
+DEPEND="${COMMON_DEPEND}
+ virtual/pkgconfig
+ compressed-lumas? ( virtual/imagemagick-tools[png] )
+ lua? ( ${SWIG_DEPEND} virtual/pkgconfig )
+ python? ( ${SWIG_DEPEND} )
+ ruby? ( ${SWIG_DEPEND} )"
+# java? ( ${SWIG_DEPEND} >=virtual/jdk-1.5 )
+# perl? ( ${SWIG_DEPEND} )
+# php? ( ${SWIG_DEPEND} )
+# tcl? ( ${SWIG_DEPEND} )
+RDEPEND="${COMMON_DEPEND}
+ !media-libs/mlt++
+"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+pkg_setup() {
+ use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ epatch "${FILESDIR}"/${PN}-6.2.0-ruby-link.patch
+
+ # respect CFLAGS LDFLAGS when building shared libraries. Bug #308873
+ for x in python lua; do
+ sed -i "/mlt.so/s: -lmlt++ :& ${CFLAGS} ${LDFLAGS} :" src/swig/$x/build || die
+ done
+ sed -i "/^LDFLAGS/s: += :& ${LDFLAGS} :" src/swig/ruby/build || die
+
+ sed -i -e "s/env ruby/${USE_RUBY}/" src/swig/ruby/* || die
+
+ default
+}
+
+src_configure() {
+ tc-export CC CXX
+
+ # bug 589848
+ append-cxxflags -std=c++11
+
+ local myconf="--enable-gpl
+ --enable-gpl3
+ --enable-motion-est
+ --target-arch=$(tc-arch)
+ --disable-kde
+ --disable-swfdec
+ $(use_enable debug)
+ $(use compressed-lumas && echo ' --luma-compress')
+ $(use_enable cpu_flags_x86_sse sse)
+ $(use_enable cpu_flags_x86_sse2 sse2)
+ $(use_enable gtk gtk2)
+ $(use_enable sdl)
+ $(use_enable jack jackrack)
+ $(use_enable ffmpeg avformat)
+ $(use ffmpeg && echo ' --avformat-swscale')
+ $(use_enable fftw plus)
+ $(use_enable frei0r)
+ $(use_enable melt)
+ $(use_enable opencv)
+ $(use_enable opengl)
+ $(use_enable libsamplerate resample)
+ $(use_enable rtaudio)
+ $(use vdpau && echo ' --avformat-vdpau')
+ $(use_enable xml)
+ $(use_enable xine)
+ $(use_enable kdenlive)
+ --disable-sox"
+ #$(use_enable sox) FIXME
+
+ if use qt5 ; then
+ myconf+=" --enable-qt
+ --qt-includedir=$(pkg-config Qt5Core --variable=includedir)
+ --qt-libdir=$(pkg-config Qt5Core --variable=libdir)"
+ else
+ myconf+=" --disable-qt"
+ fi
+
+ if use x86 || use amd64 ; then
+ myconf+=" $(use_enable cpu_flags_x86_mmx mmx)"
+ else
+ myconf+=" --disable-mmx"
+ fi
+
+ if ! use melt; then
+ sed -i -e "s;src/melt;;" Makefile || die
+ fi
+
+ # TODO: add swig language bindings
+ # see also https://www.mltframework.org/twiki/bin/view/MLT/ExtremeMakeover
+
+ local swig_lang
+ # TODO: java perl php tcl
+ for i in lua python ruby ; do
+ use $i && swig_lang="${swig_lang} $i"
+ done
+ [ -z "${swig_lang}" ] && swig_lang="none"
+
+ econf ${myconf} --swig-languages="${swig_lang}"
+
+ sed -i -e s/^OPT/#OPT/ "${S}/config.mak" || die
+ if use qt5 ; then
+ if ! use opengl ; then
+ sed -i -e "/^USE_QT_OPENGL/ s/^/#/" "${S}/src/modules/qt/config.mak" || die
+ fi
+ fi
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+ dodoc AUTHORS ChangeLog NEWS README docs/*.txt
+
+ dodir /usr/share/${PN}
+ insinto /usr/share/${PN}
+ doins -r demo
+
+ docinto swig
+
+ # Install SWIG bindings
+ if use lua; then
+ cd "${S}"/src/swig/lua || die
+ exeinto $(pkg-config --variable INSTALL_CMOD lua)
+ doexe mlt.so
+ dodoc play.lua
+ fi
+
+ if use python; then
+ cd "${S}"/src/swig/python || die
+ insinto $(python_get_sitedir)
+ doins mlt.py
+ exeinto $(python_get_sitedir)
+ doexe _mlt.so
+ dodoc play.py
+ python_optimize
+ fi
+
+ if use ruby; then
+ cd "${S}"/src/swig/ruby || die
+ exeinto $("${EPREFIX}"/usr/bin/${USE_RUBY} -r rbconfig -e 'print RbConfig::CONFIG["sitearchdir"]')
+ doexe mlt.so
+ dodoc play.rb thumbs.rb
+ fi
+ # TODO: java perl php tcl
+}